Execute a tool
curl --request POST \
--url https://api.sol.com/v1/tools/{toolId}/execute \
--header 'Content-Type: application/json' \
--data '
{
"params": {
"from_email": "noreply@sol.com",
"to_email": "tara@sol.com"
},
"values": {
"subject": "Welcome to our service!"
}
}
'import requests
url = "https://api.sol.com/v1/tools/{toolId}/execute"
payload = {
"params": {
"from_email": "noreply@sol.com",
"to_email": "tara@sol.com"
},
"values": { "subject": "Welcome to our service!" }
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
params: {from_email: 'noreply@sol.com', to_email: 'tara@sol.com'},
values: {subject: 'Welcome to our service!'}
})
};
fetch('https://api.sol.com/v1/tools/{toolId}/execute', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"executionId": "exec-98765",
"status": "completed"
}API Reference
Execute a tool
Executes the selected tool with the provided parameters in Sol.
POST
/
tools
/
{toolId}
/
execute
Execute a tool
Path Parameters
The ID of the tool to execute
Body
application/json
⌘I